# Uses of Interface
org.springframework.core.convert.converter.GenericConverter

Packages that use GenericConverter
Package
Description
org.springframework.core.convert.converter
SPI to implement Converters for the type conversion system.
org.springframework.core.convert.support
Default implementation of the type conversion system.

## Uses of GenericConverter in org.springframework.core.convert.converter

Subinterfaces of GenericConverter in org.springframework.core.convert.converter
Modifier and Type
Interface
Description
`interface`
`ConditionalGenericConverter`
A `GenericConverter` that may conditionally execute based on attributes of the `source` and `target` `TypeDescriptor`.
Methods in org.springframework.core.convert.converter with parameters of type GenericConverter
Modifier and Type
Method
Description
`void`
ConverterRegistry.`addConverter(GenericConverter converter)`
Add a generic converter to this registry.

## Uses of GenericConverter in org.springframework.core.convert.support

Methods in org.springframework.core.convert.support that return GenericConverter
Modifier and Type
Method
Description
`protected GenericConverter`
GenericConversionService.`getConverter(TypeDescriptor sourceType, TypeDescriptor targetType)`
Hook method to look up the converter for a given sourceType/targetType pair.
`protected GenericConverter`
GenericConversionService.`getDefaultConverter(TypeDescriptor sourceType, TypeDescriptor targetType)`
Return the default converter if no converter is found for the given sourceType/targetType pair.
Methods in org.springframework.core.convert.support with parameters of type GenericConverter
Modifier and Type
Method
Description
`void`
GenericConversionService.`addConverter(GenericConverter converter)`